%define anolis_release 1
Name:		accel-config
Version:	3.5.1
Release:	%{anolis_release}%{?dist}
Summary:	Configure accelerator subsystem devices
# The entire source code is under GPLv2 except for accel-config
# library which is mostly LGPLv2.1, ccan/list which is BSD-MIT and
# the rest of ccan which is CC0.
License:        GPLv2 and LGPLv2+ and MIT and CC0
Group:		System Environment/Base
Source0:	https://github.com/intel/idxd-config/archive/refs/tags/%{name}-v%{version}.tar.gz

Patch1:     0001-accel-config-test-Fix-drain-descriptor-readback-addr.patch

Requires:	%{name}-libs = %{version}-%{release}
BuildRequires:	autoconf
BuildRequires:	asciidoc
BuildRequires:	xmlto
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	systemd
ExclusiveArch:  x86_64

%description
Utility library for configuring the accelerator subsystem.

%package devel
Summary:	Development files for libaccfg
License:	LGPLv2.1
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package libs
Summary:	Configuration library for accelerator subsystem devices
# All source code of configuration library is LGPLv2.1, except
# ccan/list which is BSD-MIT and the rest of ccan/ which is CC0.
License:	LGPLv2.1and MIT and CC0
Group:		System Environment/Libraries
Requires:       %{name} = %{version}-%{release}

%description libs
Libraries for %{name}.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}

%prep
%autosetup -n idxd-config-%{name}-v%{version} -p1

%build
echo %{version} > version
./autogen.sh
%configure --disable-static --disable-silent-rules
%make_build

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%generate_compatibility_deps

%check
make check

%files
%defattr(-,root,root)
%license Documentation/COPYING licenses/BSD-MIT licenses/CC0
%license licenses/accel-config-licenses LICENSE_GPL_2_0
%dir %{abidir}
%{_bindir}/accel-config
%{abidir}/libaccel-config.dump
%{_mandir}/man1/accel-config*
%{_sysconfdir}/accel-config/contrib/configs/*

%files libs
%defattr(-,root,root)
%license Documentation/COPYING licenses/BSD-MIT licenses/CC0
%license licenses/libaccel-config-licenses accfg/lib/LICENSE_LGPL_2_1
%{_libdir}/libaccel-config.so.*

%files devel
%defattr(-,root,root)
%license Documentation/COPYING
%{_includedir}/accel-config/
%{_libdir}/libaccel-config.so
%{_libdir}/pkgconfig/libaccel-config.pc

%files doc
%doc README.md
%doc Documentation/accfg/a*
%doc Documentation/manpage-base.xsl Documentation/manpage-normal.xsl

%changelog
* Fri Dec 09 2022 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 3.5.1-1
- update to 3.5.1 and fix bug

* Tue May 10 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.4.6.4-1
- init from upstream
